Package org.opensaml.soap.wspolicy.impl

# Class PolicyReferenceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObject
org.opensaml.soap.wspolicy.impl.PolicyReferenceImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `PolicyReference`, `WSPolicyObject`

public class PolicyReferenceImpl extends AbstractWSPolicyObject implements PolicyReference
PolicyReferenceImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`digest`
Digest attribute value.
`private String`
`digestAlgorithm`
DigestAlgorithm attribute value.
`private final AttributeMap`
`unknownAttributes`
xs:anyAttribute attributes.
`private String`
`uri`
URI attribute value.

### Fields inherited from interface org.opensaml.soap.wspolicy.PolicyReference

`DIGEST_ALGORITHM_ATTRIB_NAME, DIGEST_ALGORITHM_SHA1EXC, DIGEST_ATTRIB_NAME, ELEMENT_LOCAL_NAME, ELEMENT_NAME, URI_ATTRIB_NAME`

## Constructor Summary

Constructors
Constructor
Description
`PolicyReferenceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigest()`
Returns the wsp:PolicyReference/@Digest attribute URI value.
`String`
`getDigestAlgorithm()`
Returns the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`String`
`getURI()`
Returns the wsp:PolicyReference/@URI attribute value.
`void`
`setDigest(String newDigest)`
Sets the wsp:PolicyReference/@Digest attribute URI value.
`void`
`setDigestAlgorithm(String newDigestAlgorithm)`
Sets the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.
`void`
`setURI(String newURI)`
Sets the wsp:PolicyReference/@URI attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### uri

@Nullable private String uri
URI attribute value.

### digest

@Nullable private String digest
Digest attribute value.

### digestAlgorithm

@Nullable private String digestAlgorithm
DigestAlgorithm attribute value.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
xs:anyAttribute attributes.

## Constructor Details

### PolicyReferenceImpl

public PolicyReferenceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getDigest

@Nullable public String getDigest()
Returns the wsp:PolicyReference/@Digest attribute URI value.

Specified by:
  `getDigest` in interface `PolicyReference`
Returns:
  the Digest attribute URI value.

### getDigestAlgorithm

@Nullable public String getDigestAlgorithm()
Returns the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.

Specified by:
  `getDigestAlgorithm` in interface `PolicyReference`
Returns:
  the DigestAlgoritm attribute Base64 binary value.

### getURI

@Nullable public String getURI()
Returns the wsp:PolicyReference/@URI attribute value.

Specified by:
  `getURI` in interface `PolicyReference`
Returns:
  the URI attribute value.

### setDigest

public void setDigest(@Nullable String newDigest)
Sets the wsp:PolicyReference/@Digest attribute URI value.

Specified by:
  `setDigest` in interface `PolicyReference`
Parameters:
  `newDigest` - the Digest attribute URI value to set.

### setDigestAlgorithm

public void setDigestAlgorithm(@Nullable String newDigestAlgorithm)
Sets the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.

Specified by:
  `setDigestAlgorithm` in interface `PolicyReference`
Parameters:
  `newDigestAlgorithm` - the DigestAlgoritm attribute Base64 binary value to set.

### setURI

public void setURI(@Nullable String newURI)
Sets the wsp:PolicyReference/@URI attribute value.

Specified by:
  `setURI` in interface `PolicyReference`
Parameters:
  `newURI` - the URI attribute value to set.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements